Kerbal Space Program - Bug #9796

Multiple core heat producers are not properly cooled by radiator panels.
Description

Observed in version 1.1.2.1260 (x64) on Windows 7 x64 - Freshly downloaded, no mods whatsoever.

There appears to be an issue where multiple core heat producers will not receive proper cooling if they must rely exclusively on
radiator panels - the kind that does not cover the entire vessel, but rather just a small radius around them. Specifically, this issue
appears when the core heat producers are separated far enough that they couldn't possibly share their dedicated panels. And yet,
they somehow still do.

| have attached a screenshot of the test vessel | used to reproduce this. Two ISRU units, well separated from each other by filled ore
tanks, empty fuel tanks, and a lander can for control. Each ISRU has six small radiator panels dedicated to it. That is two more than
strictly necessary, as one active ISRU process produces 200 kW of core heat, and each panel cools 50 kW. This vessel was
stabilized with clamps, put onto the launchpad, and tested with infinite electricity and thermal debug display activated. | was in a
Sandbox save at the time.

The expected behavior would be:
- Both ISRUs have one process turned on and are stable at 1000 K, with four out of six panels in each radiator group activated.

What actually happened:
- The first ISRU was activated, as well as three of its panels.

- After it passed 1000 K, a fourth panel was activated. This cooled the ISRU to 1000 K and kept it stable there, confirming that 4
panels are indeed enough, and are functioning properly.

- The second ISRU was turned on. Very soon after this, the first ISRU suddenly started gaining heat again, as if the second one was
putting load onto the radiator panels. However, this should be impossible, since the radiator panels near ISRU 1 cannot reach ISRU
2 atall.

- Three panels next to ISRU 2 were turned on. This had no apparent effect on anything (ISRU 2 wasn't nearly done heating up yet).

- A fifth panel near ISRU 1 was turned on. This once more stabilized ISRU 1, for a while, confirming the suspicion that somehow,
ISRU 2 was interfering with the radiators devoting their full capacity to ISRU 1, despite being out of range. Eventually, however, as
ISRU 2 continued to build heat, even five panels were no longer enough to keep ISRU 1 stable, and | turned on the sixth.

- The most unexpected thing happened when ISRU 2 passed 1000 K. At this point, | started turning on the fourth, then the fifth, then
the sixth panel belonging to the ISRU 2 group - but it wouldn't keep ISRU 2 stable. In fact, ISRU 1 also overheated once more!

- In the end, with all twelve radiator panels activated, providing 2x 300 kW local cooling, both ISRUs ended up slightly overheated at
roughly 1002 K. This is despite each of them producing only 200 kW of heat. Turning off any panel, regardless of where it was,
immediately caused the temperature on both ISRUs to climb.

This shows that this isn't a simple issue of radiator panels trying to cool out of range producers. If they did accidentally act
vessel-wide, like thermal control systems, this test vessel should have both ISRUs stable with a total of 8 panels out of 12 active, in
any possible combination. | confirmed that this works with small TCS'es in a separate test.

But no, these panels are apparently not providing cooling to out of range cores... however, they still seem to attempt to split their
capacity in response to out of range cores. As a result, they can no longer provide their full cooling capacity to anything nearby, and
act as if they had significantly less core transfer than they actually do.
History

#2 - 06/22/2016 07:30 AM - Streetwind

Apparently this was fixed in 1.1.3, according to the changelog.

#3 - 07/10/2016 09:10 AM - Streetwind

Can definitely be closed.

#4 - 07/10/2016 09:39 AM - TriggerAu
- Status changed from New to Closed

- % Done changed from 0 to 100

Thanks for the check
